/**
 * EdgeGateway
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { FeatureDefinedExecutionError } from './featureDefinedExecutionError';
import { FeatureMetadata } from './featureMetadata';
import { FeatureCommand } from './featureCommand';
import { FeatureProperty } from './featureProperty';
import { FeatureMaturityLevel } from './featureMaturityLevel';
import { SiLAElement } from './siLAElement';


export interface FeatureDescription { 
    identifier?: string | null;
    displayName?: string | null;
    version?: string | null;
    description?: string | null;
    category?: string | null;
    originator?: string | null;
    maturity?: FeatureMaturityLevel;
    commands?: Array<FeatureCommand> | null;
    properties?: Array<FeatureProperty> | null;
    dataTypes?: Array<SiLAElement> | null;
    metadata?: Array<FeatureMetadata> | null;
    definedExecutionErrors?: Array<FeatureDefinedExecutionError> | null;
}
export namespace FeatureDescription {
}


